﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Media.Imaging;

namespace DaumNFlickr
{
    public class DCApi
    {
        //받은 url 값 저장
        public string UrlPath { get; set; }
        //url을 이미지 소스로 변환

        public string Title { get; set; }
        public ImageSource PhotoSource
        {
            get
            {
                if (string.IsNullOrEmpty(UrlPath))
                    return null;
                return new BitmapImage(new Uri(UrlPath, UriKind.RelativeOrAbsolute));
            }
        }
    }
}
